curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "<string>",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"new": true,
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}curl --request POST \
--url https://api.hubapi.com/crm/objects/2026-03/{objectType}/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"properties": {},
"idProperty": "<string>",
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"new": true,
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
objectTypeId de type d'objet
Show child attributes
successful operation
Représente le résultat d'une opération d'upsert par lots, y compris le statut de l'opération, les horodatages et une liste d'objets créés ou mis à jour avec succès.
L'horodatage de la fin du processus de traitement par lots, au format ISO 8601.
Show child attributes
L'horodatage du début de l'exécution du processus de traitement par lots, au format ISO 8601.
Statut de la demande de traitement par lots. Peut être : « EN ATTENTE », « TRAITEMENT », « ANNULÉ » ou « TERMINÉ ».
CANCELED, COMPLETE, PENDING, PROCESSING Un objet contenant des liens pertinents relatifs à la demande de lot.
Show child attributes
L'horodatage du lancement du processus de traitement par lots, au format ISO 8601.